Groups
100Filter groups by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
OK
GET /api/admin/v1/groups HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"items": [
{
"id": "text",
"name": "text",
"source_id": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}Display name of the group
Email addresses to assign as members of the group
OK
Unique identifier of the group
Display name of the group
Identifier of the group in the integration system providing the entity
Unique Apono identifier of the integration providing the entity
Display name of the integration providing the entity
POST /api/admin/v1/groups HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41
{
"name": "text",
"members_emails": [
"text"
]
}OK
{
"id": "text",
"name": "text",
"source_id": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}OK
Unique identifier of the group
Display name of the group
Identifier of the group in the integration system providing the entity
Unique Apono identifier of the integration providing the entity
Display name of the integration providing the entity
GET /api/admin/v1/groups/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"id": "text",
"name": "text",
"source_id": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}No Content
No content
DELETE /api/admin/v1/groups/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No Content
No content
100OK
GET /api/admin/v1/groups/{id}/members HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"items": [
{
"email": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}Email addresses to assign as members of the group
No Content
No content
PUT /api/admin/v1/groups/{id}/members HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"members_emails": [
"text"
]
}No Content
No content
No Content
No content
PUT /api/admin/v1/groups/{id}/members/{email} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No Content
No content
No Content
No content
DELETE /api/admin/v1/groups/{id}/members/{email} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No Content
No content
Display name of the group
OK
Unique identifier of the group
Display name of the group
Identifier of the group in the integration system providing the entity
Unique Apono identifier of the integration providing the entity
Display name of the integration providing the entity
PUT /api/admin/v1/groups/{id}/name HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}OK
{
"id": "text",
"name": "text",
"source_id": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}Last updated
Was this helpful?
